Qt 5.6 | Qt GUI | C++ Classes | QExposeEvent

Qt 5.6.2 Reference Documentation

# QExposeEvent Class

The QExposeEvent class contains event parameters for expose events. More...

Header: | #include <QExposeEvent>
qmake: | QT += gui
Since: | Qt 5.0

- List of all members, including inherited members

## Public Functions

| QExposeEvent(const QRegion &exposeRegion)
const QRegion & | region() const

## Detailed Description

The QExposeEvent class contains event parameters for expose events.

Expose events are sent to windows when an area of the window is invalidated or window visibility in the windowing system changes.

The event handler QWindow::exposeEvent() receives expose events.

## Member Function Documentation

### QExposeEvent::QExposeEvent(const QRegion &exposeRegion)

Constructs an expose event for the given exposeRegion which must be in local coordinates.

### const QRegion &QExposeEvent::region() const

Returns the window area that has been exposed. The region is given in local coordinates.